---
apiVersion: k8s.mariadb.com/v1alpha1
kind: Backup
metadata:
  name: s3backup
  namespace: "{{ k8s_mariadbop_namespace }}"
spec:
  serviceAccountName: "{{ k8s_mariadbop_service_account }}"
  mariaDbRef:
    name: mariadb
  maxRetention: 720h # 30 days
  # ignoreGlobalPriv: true
  storage:
    s3:
      bucket: "{{ db_s3bucket }}"
      endpoint: "{{ db_s3endpoint }}"
      region: "{{ db_s3region }}"
      prefix: "mariadb/{{ k8s_mariadbop_namespace }}/"
      accessKeyIdSecretKeyRef:
        name: dbpass
        key: accesskey
      secretAccessKeySecretKeyRef:
        name: dbpass
        key: secretid
      tls:
        enabled: true
